找回密码
 注册帐号

扫一扫,访问微社区

Editor编辑器 unity发布webGL 出错Exception: E:\Program Files\Unity\2018.4.1f1\Editor\Data\il2cpp/b

5
回复
371
查看
打印 上一主题 下一主题
[ 复制链接 ]
5熟悉之中
547/1000
排名
5055
昨日变化

13

主题

72

帖子

547

积分

Rank: 5Rank: 5

UID
142258
好友
2
蛮牛币
223
威望
0
注册时间
2016-3-19
在线时间
174 小时
最后登录
2019-10-15
50蛮牛币
Unity2018.4.1f1在发布WebGL时,报错 Exception: E:\Program Files\Unity\2018.4.1f1\Editor\Data\il2cpp/build/il2cpp.exe did not run properly!

百度之后,度娘告诉我的解决方法有下面六种:
1、项目名、项目路径、发布路径使用英文;
2、项目放在C盘下;
3、API Compatibility Level 使用 .Net 2.0;
4、清除Library/il2cpp_cache里面的文件;
5、还有在unity安装路径/Editor/Data/PlaybackEngines/WebGLSupport/BuildTools/emscripten.config修改 stack_size=1024
6、更新到最新版本的Unity

以上方法均使用过了,依然出现这样的报错,请问这个问题该怎么解决!谢谢~

回复

使用道具 举报

4四处流浪
318/500
排名
11660
昨日变化

3

主题

34

帖子

318

积分

Rank: 4

UID
306526
好友
2
蛮牛币
343
威望
0
注册时间
2018-11-30
在线时间
197 小时
最后登录
2019-10-22
沙发
2019-7-10 11:46:40 只看该作者
可能世你项目里面有什么文件,插件不支持吧,或许是你代码报错,还有就是你从新开一个项目看看,打包一下空场景,看看能否打包成功,一分极速PK10成功的话,就是你项目里面的东西的问题。一个一个排查吧。
回复

使用道具 举报

3偶尔光临
292/300
排名
9113
昨日变化

2

主题

58

帖子

292

积分

Rank: 3Rank: 3Rank: 3

UID
117827
好友
0
蛮牛币
160
威望
0
注册时间
2015-8-13
在线时间
104 小时
最后登录
2019-10-19
板凳
2019-7-10 22:14:58 只看该作者
换版本!
我也遇到这个问题了以前,后来我用2017.1.5f1版本,就再也没有这个问题了
回复

使用道具 举报

排名
64937
昨日变化

0

主题

7

帖子

76

积分

Rank: 2Rank: 2

UID
297049
好友
1
蛮牛币
347
威望
0
注册时间
2018-9-14
在线时间
67 小时
最后登录
2019-10-12
地板
2019-7-11 09:36:37 只看该作者
打包文件要放在项目文件里
回复

使用道具 举报

5熟悉之中
547/1000
排名
5055
昨日变化

13

主题

72

帖子

547

积分

Rank: 5Rank: 5

UID
142258
好友
2
蛮牛币
223
威望
0
注册时间
2016-3-19
在线时间
174 小时
最后登录
2019-10-15
5#
楼主 2019-7-12 10:21:08 只看该作者
楼上各位的办法我都试过了,结果还是打包报这样的错误,想了下,这个问题可能不是工程和unity 的问题,应该可能是电脑的问题(在使用插件烘培的时候也出现了不正常的报错),所以我就重装了一遍系统,这个问题就解决了。
回复

使用道具 举报

5熟悉之中
547/1000
排名
5055
昨日变化

13

主题

72

帖子

547

积分

Rank: 5Rank: 5

UID
142258
好友
2
蛮牛币
223
威望
0
注册时间
2016-3-19
在线时间
174 小时
最后登录
2019-10-15
6#
楼主 2019-7-12 10:22:56 只看该作者
一分极速PK10上述办法都试了还是没有办法解决报错的话,就重装电脑!
回复

使用道具 举报

您需要登录后才可以回帖 登录 | 注册帐号

本版积分规则